com.independentsoft.exchange

## Enum Month

- java.lang.Object
- - java.lang.Enum<Month>
  - - com.independentsoft.exchange.Month

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Month>

      public enum Month
      extends java.lang.Enum<Month>

  Represents the transition month of the year to and from standard time and daylight saving time.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APRIL` April.
    `AUGUST` August.
    `DECEMBER` December.
    `FEBRUARY` February.
    `JANUARY` January.
    `JULY` July.
    `JUNE` July.
    `MARCH` March.
    `MAY` May.
    `NONE` None.
    `NOVEMBER` November.
    `OCTOBER` October.
    `SEPTEMBER` September.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Month` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Month[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JANUARY

          public static final Month JANUARY

      January.

    - #### FEBRUARY

          public static final Month FEBRUARY

      February.

    - #### MARCH

          public static final Month MARCH

      March.

    - #### APRIL

          public static final Month APRIL

      April.

    - #### MAY

          public static final Month MAY

      May.

    - #### JUNE

          public static final Month JUNE

      July.

    - #### JULY

          public static final Month JULY

      July.

    - #### AUGUST

          public static final Month AUGUST

      August.

    - #### SEPTEMBER

          public static final Month SEPTEMBER

      September.

    - #### OCTOBER

          public static final Month OCTOBER

      October.

    - #### NOVEMBER

          public static final Month NOVEMBER

      November.

    - #### DECEMBER

          public static final Month DECEMBER

      December.

    - #### NONE

          public static final Month NONE

      None.

  - ### Method Detail

    - #### values

          public static Month[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Month c : Month.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Month valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null